org.vertx.java.core.impl

## Class BlockingAction<T>

- java.lang.Object
- - org.vertx.java.core.impl.BlockingAction<T>

    public abstract class BlockingAction<T>
    extends java.lang.Object

Internal class used to run specific blocking actions on the worker pool.

This class shouldn't be used directlty from user applications.

### Field Summary

Fields
`protected Context` `context`

### Constructor Summary

Constructors
Constructor and Description
`BlockingAction(VertxInternal vertx, AsyncResultHandler handler)`

### Method Summary

Methods
`abstract T` `action()`
`void` `run()` Run the blocking action using a thread from the worker pool.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### context

    protected Context context

### Constructor Detail

#### BlockingAction

    public BlockingAction(VertxInternal vertx,
                  AsyncResultHandler handler)

### Method Detail

#### run

    public void run()

Run the blocking action using a thread from the worker pool.

#### action

    public abstract T action()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`